Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Interface ServiceAdminMBean

All Known Implementing Classes:
  ServiceAdmin

    public interface ServiceAdminMBean

MBean interface for exposing Service Adminstration functionalities

Method Summary
`int` | `getNumberOfActiveServices()` Get the currently active number of services
`int` | `getNumberOfFaultyServices()` Get the number of faulty services
`int` | `getNumberOfInactiveServices()` Get the currently inactive number of services
`void` | `startService(java.lang.String serviceName)` Start the service specified by `serviceName`
`void` | `stopService(java.lang.String serviceName)` Stop the service specified by `serviceName`

Method Detail

### getNumberOfActiveServices

    int getNumberOfActiveServices()
                                  throws java.lang.Exception

  Get the currently active number of services

  Returns:
    Currently active number of services
  Throws:
    `java.lang.Exception` - If an error occurs while getting the service count

### getNumberOfInactiveServices

    int getNumberOfInactiveServices()
                                    throws java.lang.Exception

  Get the currently inactive number of services

  Returns:
    Currently inactive number of services
  Throws:
    `java.lang.Exception` - If an error occurs while getting the service count

### getNumberOfFaultyServices

    int getNumberOfFaultyServices()
                                  throws java.lang.Exception

  Get the number of faulty services

  Returns:
    number of faulty services
  Throws:
    `java.lang.Exception` - If an error occurs

### startService

    void startService(java.lang.String serviceName)
                      throws java.lang.Exception

  Start the service specified by `serviceName`

  Parameters:
    `serviceName` - Name of the service to be restarted
  Throws:
    `java.lang.Exception` - If an error occurs while starting the service

### stopService

    void stopService(java.lang.String serviceName)
                     throws java.lang.Exception

  Stop the service specified by `serviceName`

  Parameters:
    `serviceName` - Name of the service to be restarted
  Throws:
    `java.lang.Exception` - If an error occurs while stopping the service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD